#include "window.hpp"

pw::window::window() {

    _window = glfwCreateWindow(640, 480, "pixwerxs", NULL, NULL);
}

pw::window::~window() {

    glfwDestroyWindow(_window);
}

bool pw::window::update()
{
    if (!glfwWindowShouldClose(_window)) {
        glfwMakeContextCurrent(_window);

        // do other stuff

        glfwSwapBuffers(_window);
        glfwPollEvents();

        return true;
    }

    return false;
}

void pw::window::set_title(const char *t)
{
    glfwSetWindowTitle(_window,t);
}

void pw::window::load(sol::table &ns) {
{
        glfwInit();

        ns.new_usertype<window>("window",
                                "update",&window::update,
                                "set_title",&window::set_title
                                );
    }
}
